diff --git a/lib/apt-listbugs/logic.rb b/lib/apt-listbugs/logic.rb
index a903d85..350ca84 100644
--- a/lib/apt-listbugs/logic.rb
+++ b/lib/apt-listbugs/logic.rb
@@ -566,8 +566,8 @@ Pin-Priority: #{@config.pin_priority}
 	if sub.size > 0
 	  o.puts "<table border=2 width=100%>"
           # TRANSLATORS: %s is a bug status such as forwarded, done, pending, pending-fixed, etc. see the -S option in the man page.
-          o.puts sprintf(_(" <caption>Bug reports which are marked as %s in the bug tracking system</caption>"), stat)
-	  o.puts _(" <tr><th>package</th><th>severity</th><th>bug number</th><th>description</th></tr>")
+          o.puts sprintf(" <caption>" + _("Bug reports which are marked as %s in the bug tracking system") + "</caption>"), stat)
+          o.puts " <tr><th>" + _("package") + "</th><th>" + _("severity") + "</th><th>" + _("bug number") + "</th><th>" + _("description") + "</th></tr>"
 	  yield sub
 	  o.puts "</table><br>"
 	end
@@ -581,10 +581,10 @@ Pin-Priority: #{@config.pin_priority}
       displayed_pkgs = []
 
       tmp = HtmlTempfile.new("apt-listbugs")
-      tmp.puts "<html><head><title>"+_("critical bugs for your upgrade")+"</title><meta http-equiv=\"Content-Type\" content=\"text/html; charset=#{Locale.codeset}\"></head><body>"
-      tmp.puts _("<h1 align=\"center\">Critical bugs for your upgrade</h1>")
-      tmp.puts _("<p align=\"right\">by apt-listbugs</p><hr>")
-      tmp.puts _("<h2>Bug reports</h2>")
+      tmp.puts "<html><head><title>"+_("Critical bugs for your upgrade")+"</title><meta http-equiv=\"Content-Type\" content=\"text/html; charset=#{Locale.codeset}\"></head><body>"
+      tmp.puts "<h1 align=\"center\">" + _("Critical bugs for your upgrade") + "</h1>"
+      tmp.puts "<p align=\"right\">" _("by apt-listbugs") + "</p><hr>"
+      tmp.puts "<h2>" + _("Bug reports") + "</h2>"
 
       each_state_table(tmp, bugs, @config.stats) { |bugs|
 	bugs.each { |bug|
@@ -593,7 +593,7 @@ Pin-Priority: #{@config.pin_priority}
         }
       }
 
-      tmp.puts _("<h2>Package upgrade information in question</h2>")
+      tmp.puts "<h2>" + _("Package upgrade information in question") + "</h2>"
       tmp.puts "<ul>"
       displayed_pkgs.each { |pkg|
 	tmp.puts "<li>#{pkg}("
diff --git a/po/cs.po b/po/cs.po
index 1ee71ac..5d33105 100644
--- a/po/cs.po
+++ b/po/cs.po
@@ -7,7 +7,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: apt-listbugs\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2009-11-01 13:39-0800\n"
+"POT-Creation-Date: 2009-11-01 13:54-0800\n"
 "PO-Revision-Date: 2009-06-17 06:09+0200\n"
 "Last-Translator: Miroslav Kure <kurem@debian.cz>\n"
 "Language-Team: Czech <debian-l10n-czech@lists.debian.org>\n"
@@ -325,39 +325,41 @@ msgstr ""
 #. TRANSLATORS: %s is a bug status such as forwarded, done, pending, pending-fixed, etc. see the -S option in the man page.
 #: lib/apt-listbugs/logic.rb:569
 #, fuzzy, python-format
-msgid ""
-" <caption>Bug reports which are marked as %s in the bug tracking system</"
-"caption>"
-msgstr ""
-" <caption>Hlášení o chybách označená jako %s v systému sledování chyb</"
-"caption>"
+msgid "Bug reports which are marked as %s in the bug tracking system"
+msgstr "Hlášení o chybách označená jako %s v systému sledování chyb"
 
 #: lib/apt-listbugs/logic.rb:570
-msgid ""
-" <tr><th>package</th><th>severity</th><th>bug number</th><th>description</"
-"th></tr>"
-msgstr ""
-" <tr><th>balík</th><th>závažnost</th><th>č. chyby</th><th>popis</th></tr>"
+msgid "package"
+msgstr "balík"
 
-#: lib/apt-listbugs/logic.rb:584
-msgid "critical bugs for your upgrade"
-msgstr "kritické chyby v této aktualizaci"
+#: lib/apt-listbugs/logic.rb:570
+msgid "severity"
+msgstr "závažnost"
 
-#: lib/apt-listbugs/logic.rb:585
-msgid "<h1 align=\"center\">Critical bugs for your upgrade</h1>"
-msgstr "<h1 align=\"center\">Kritické chyby v této aktualizaci</h1>"
+#: lib/apt-listbugs/logic.rb:570
+msgid "bug number"
+msgstr "č. chyby"
+
+#: lib/apt-listbugs/logic.rb:570
+msgid "description"
+msgstr "popis"
+
+#: lib/apt-listbugs/logic.rb:584 lib/apt-listbugs/logic.rb:585
+msgid "Critical bugs for your upgrade"
+msgstr "Kritické chyby v této aktualizaci"
 
 #: lib/apt-listbugs/logic.rb:586
-msgid "<p align=\"right\">by apt-listbugs</p><hr>"
-msgstr "<p align=\"right\">přináší apt-listbugs</p><hr>"
+msgid "by apt-listbugs"
+msgstr "přináší apt-listbugs"
 
 #: lib/apt-listbugs/logic.rb:587
-msgid "<h2>Bug reports</h2>"
-msgstr "<h2>Hlášení o chybách</h2>"
+msgid "Bug reports"
+msgstr "Hlášení o chybách"
 
 #: lib/apt-listbugs/logic.rb:596
-msgid "<h2>Package upgrade information in question</h2>"
-msgstr "<h2>Informace o aktualizaci zmíněných balíků</h2>"
+#, fuzzy
+msgid "Package upgrade information in question"
+msgstr "Informace o aktualizaci zmíněných balíků"
 
 #: lib/apt-listbugs/logic.rb:617
 msgid "W: Failed to invoke www-browser."
@@ -444,6 +446,9 @@ msgstr ""
 msgid "Parsing Found/Fixed information..."
 msgstr "Zpracovávají se nalezené informace..."
 
+#~ msgid "critical bugs for your upgrade"
+#~ msgstr "kritické chyby v této aktualizaci"
+
 #~ msgid "in the bug tracking system</caption>"
 #~ msgstr "v systému sledování chyb</caption>"
 
